Bug 844284 - katello-configure --help fails
katello-configure --help fails
Status: CLOSED WONTFIX
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello-configure (Show other bugs)
1.2
x86_64 Linux
high Severity medium
: rc
: ---
Assigned To: Katello Bug Bin
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 04:16 EDT by Tazim Kolhar
Modified: 2017-06-26 16:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-26 16:41:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2012-07-30 04:16:59 EDT
Description of problem:
The command katello-configure --help fails.
It should display possible options,parameters that can be used along
with the command

Version-Release number of selected component (if applicable):
[root@nec-em16 ~]# rpm -qa | grep katello
katello-cli-common-0.2.45-1.fc16.noarch
katello-glue-foreman-0.2.50-1.fc16.noarch
katello-glue-pulp-0.2.50-1.fc16.noarch
katello-selinux-0.2.6-1.fc16.noarch
katello-certs-tools-1.1.6-1.fc16.noarch
katello-configure-0.2.32-1.fc16.noarch
katello-glue-candlepin-0.2.50-1.fc16.noarch
katello-all-0.2.53-1.fc16.noarch
katello-common-0.2.50-1.fc16.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-0.2.45-1.fc16.noarch
katello-0.2.50-1.fc16.noarch
katello-repos-0.2.7-1.fc16.noarch


How reproducible:
yum install -y katello-all thumbslug
katello-configure --deployment=headpin

Steps to Reproduce:
1.$katello-configure --help

  
Actual results:
[root@nec-em16 ~]# katello-configure --help
can't convert nil into String
/usr/lib/ruby/1.8/optparse.rb:395:in `+': can't convert nil into String (TypeError)
	from /usr/lib/ruby/1.8/optparse.rb:395:in `summarize'
	from /usr/lib/ruby/1.8/optparse.rb:637:in `summarize'
	from /usr/lib/ruby/1.8/optparse.rb:634:in `reverse_each'
	from /usr/lib/ruby/1.8/optparse.rb:634:in `summarize'
	from /usr/lib/ruby/1.8/optparse.rb:1418:in `send'
	from /usr/lib/ruby/1.8/optparse.rb:1418:in `visit'
	from /usr/lib/ruby/1.8/optparse.rb:1417:in `reverse_each'
	from /usr/lib/ruby/1.8/optparse.rb:1417:in `visit'
	from /usr/lib/ruby/1.8/optparse.rb:970:in `summarize'
	from /usr/lib/ruby/1.8/optparse.rb:977:in `to_s'
	from /usr/sbin/katello-configure:259:in `puts'
	from /usr/sbin/katello-configure:259


Expected results:
the command should display possible options,parameter to be used 
Additional info:
Comment 1 Eric Sammons 2012-08-09 09:51:16 EDT
Appears fixed in katello-1.0
Comment 5 Og Maciel 2012-10-09 16:38:41 EDT
# katello-configure --help
Usage: /usr/sbin/katello-configure [options]
      --answer-file=ANSWER_FILE
           Path of the answer file
      --user-name=USER_NAME
           Katello administrative user (default: admin)
      --user-pass=USER_PASS
           Katello user's password (default: admin)
      --user-email=USER_EMAIL
           Katello user's email (default: root@localhost)
      --org-name=ORG_NAME
           Katello initial Organization (default: ACME_Corporation)
      --proxy-url=PROXY_URL
           HTTP Proxy URL (example: http://172.31.1.1)
      --proxy-port=PROXY_PORT
           HTTP Proxy port (default: 3128)
      --proxy-user=PROXY_USER
           HTTP Proxy user (proxy username, if auth is required)
      --proxy-pass=PROXY_PASS
           HTTP Proxy pass (proxy password, if auth is required)
      --db-name=DB_NAME
           Katello database name
      --db-user=DB_USER
           Katello database user
      --db-password=DB_PASSWORD
           Katello database password
      --candlepin-db-user=CANDLEPIN_DB_USER
           Candlepin database user
      --candlepin-db-password=CANDLEPIN_DB_PASSWORD
           Candlepin databse password
      --candlepin-db-name=CANDLEPIN_DB_NAME
           Candlepin database name
      --deployment=DEPLOYMENT
           Deployment type (one of "katello", "headpin", "cfse", "sam")
      --non-interactive=NON_INTERACTIVE
           Non-interactive installer mode
      --ssl-ca-password=SSL_CA_PASSWORD
           SSL CA password
      --ssl-ca-country=SSL_CA_COUNTRY
           SSL CA country
      --ssl-ca-state=SSL_CA_STATE
           SSL CA state
      --ssl-ca-city=SSL_CA_CITY
           SSL CA city
      --ssl-ca-org=SSL_CA_ORG
           SSL CA organization
      --ssl-ca-org-unit=SSL_CA_ORG_UNIT
           SSL CA organization unit
      --ssl-ca-cn=SSL_CA_CN
           SSL CA common name
      --ssl-ca-email=SSL_CA_EMAIL
           SSL CA e-mail address
      --ssl-cert-expiration=SSL_CERT_EXPIRATION
           SSL certificate expiration (in days)
      --ssl-ca-password-file=SSL_CA_PASSWORD_FILE
           SSL CA password file path
      --candlepin-ca-password-file=CANDLEPIN_CA_PASSWORD_FILE
           Candlepin CA password file path
      --keystore-password-file=KEYSTORE_PASSWORD_FILE
           Keystore password file path for Candlepin
      --nss-db-password-file=NSS_DB_PASSWORD_FILE
           NSS db password file path
      --nss-db-dir=NSS_DB_DIR
           NSS database path
      --ssl-pk12-password-file=SSL_PK12_PASSWORD_FILE
           PKCS12 password file path
      --auth-method=AUTH_METHOD
           Authentication method (database, ldap)
      --ldap-server=LDAP_SERVER
           LDAP server hostname
      --ldap-port=LDAP_PORT
           LDAP server hostname
      --ldap-server-type=LDAP_SERVER_TYPE
           LDAP server type (:posix, :active_directory, :free_ipa)
      --ldap-encryption=LDAP_ENCRYPTION
           Encryption method used in communication with LDAP server (<empty>, start_tls)
      --ldap-users-basedn=LDAP_USERS_BASEDN
           Base DN for users accounts
      --ldap-groups-basedn=LDAP_GROUPS_BASEDN
           Base DN for users groups
      --ldap-roles=LDAP_ROLES
           Use LDAP for roles membership definition (true, false)
      --ldap-anon-queries=LDAP_ANON_QUERIES
           Allow anonymous queries (true, false) for AD or FreeIPA
      --ldap-service-user=LDAP_SERVICE_USER
           Service username for non-anon queries (IPA, AD)
      --ldap-service-pass=LDAP_SERVICE_PASS
           Service password for non-anon queries (IPA, AD)
      --ldap-ad-domain=LDAP_AD_DOMAIN
           Domain for AD LDAP queries
      --es-min-mem=ES_MIN_MEM
           ElasticSearch ES_MIN_MEM java heap setting
      --es-max-mem=ES_MAX_MEM
           ElasticSearch ES_MAX_MEM java heap setting
      --psql-password-file=PSQL_PASSWORD_FILE
           PostgreSQL superuser password (NONE for no password)
      --oauth-token-file=OAUTH_TOKEN_FILE
           OAuth token file
      --pulp-user-password-file=PULP_USER_PASSWORD_FILE
           Pulp user password file
      --reset-data=RESET_DATA
           Set to 'YES' to erase all databases
      --reset-cache=RESET_CACHE
           Set to 'YES' to erase RPM packages from Pulp
      --job-workers=JOB_WORKERS
           Background job workers (default 1)
      --katello-web-workers=KATELLO_WEB_WORKERS
           Katello thin workers (the default is computed from system resources)
      --foreman-web-workers=FOREMAN_WEB_WORKERS
           Foreman thin workers (the default is computed from system resources)
  -b
      --no-bars
           Do not show progress bars and output puppet log instead
  -d
      --debug
           Print more debugging information to on the stdout (use with -b)
  -c
      --only-show-config
           Print the resulting configuration and exit
  -h
      --help
           Show this short summary (more in the man page)
Comment 6 Og Maciel 2012-10-09 16:39:11 EDT
Verified:

* candlepin-0.7.12-1.el6_3.noarch
* candlepin-tomcat6-0.7.12-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1h.el6_3.noarch
* katello-cli-common-1.1.10-1h.el6_3.noarch
* katello-cli-headpin-0.2.2-1.el6_2.noarch
* katello-common-1.1.14-2h.el6_3.noarch
* katello-configure-1.1.11-1h.el6_3.noarch
* katello-glue-candlepin-1.1.14-2h.el6_3.noarch
* katello-headpin-1.1.14-2h.el6_3.noarch
* katello-headpin-all-1.1.14-2h.el6_3.noarch
* katello-selinux-1.1.2-1h.el6_3.noarch
Comment 8 Bryan Kearney 2017-06-26 16:41:25 EDT
The release of Satellite 5.8 we are deprecating the support of Subscription Asset Manager. The release notes for 5.8 can be found at https://access.redhat.com/documentation/en-us/red_hat_satellite/5.8/pdf/release_notes/Red_Hat_Satellite-5.8-Release_Notes-en-US.pdf.

I am therefore closing out this bug as WONTFIX. If you believe this to be an error, please feel free tor each out to either Rich Jerrido or Bryan Kearney. Thank you!

Note You need to log in before you can comment on or make changes to this bug.